Bug 437466 - ACPI: Critical trip point on kernel-2.6.24.3-22.fc8
Summary: ACPI: Critical trip point on kernel-2.6.24.3-22.fc8
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 8
Hardware: All Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-14 12:55 UTC by Mihai Harpau
Modified: 2008-04-09 05:14 UTC (History)
1 user (show)

Fixed In Version: 2.6.24.4-64.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 21:37:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg for kernel-2.6.24.3-34.fc8 (48.90 KB, text/plain)
2008-03-14 14:30 UTC, Mihai Harpau
no flags Details
lspci -vv (17.25 KB, text/plain)
2008-03-14 14:34 UTC, Mihai Harpau
no flags Details
lspci -nn (2.64 KB, text/plain)
2008-03-14 14:34 UTC, Mihai Harpau
no flags Details
lm_sensors from /etc/sysconfig (1.41 KB, application/octet-stream)
2008-03-14 14:38 UTC, Mihai Harpau
no flags Details
settings for lm_sensors from rc.local (345 bytes, application/octet-stream)
2008-03-14 14:40 UTC, Mihai Harpau
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 10245 None None None Never

Description Mihai Harpau 2008-03-14 12:55:37 UTC
Description of problem:

When activate lm_sensors on kernels from version 2.6.24.3-22.fc8 to
2.6.24.3-34.fc8 I see how laptop will shutdown suddenly after first try

Version-Release number of selected component (if applicable):
lm_sensors-2.10.5-1.fc8
lm_sensors-2.10.6-1.fc8

How reproducible:

Almost on every run of one kernel from above

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Mar 14 13:22:20 sysop kernel: ACPI Exception (exoparg2-0442):
AE_AML_PACKAGE_LIMIT, Index (0FFFFFFFF) is beyond end of object [20070126]
Mar 14 13:22:20 sysop kernel: ACPI Error (psparse-0537): Method parse/execution
failed [\_TZ_.C247] (Node f781c2d0), AE_AML_PACKAGE_LIMIT
Mar 14 13:22:20 sysop kernel: ACPI Error (psparse-0537): Method parse/execution
failed [\_TZ_.C246] (Node f781c2b8), AE_AML_PACKAGE_LIMIT
Mar 14 13:22:20 sysop kernel: ACPI Error (psparse-0537): Method parse/execution
failed [\_TZ_.TZ2_._TMP] (Node f781c858), AE_AML_PACKAGE_LIMIT
Mar 14 13:22:20 sysop kernel: ACPI Exception (exoparg2-0442):
AE_AML_PACKAGE_LIMIT, Index (0FFFFFFFF) is beyond end of object [20070126]
Mar 14 13:22:20 sysop kernel: ACPI Error (psparse-0537): Method parse/execution
failed [\_TZ_.C247] (Node f781c2d0), AE_AML_PACKAGE_LIMIT
Mar 14 13:22:20 sysop kernel: ACPI Error (psparse-0537): Method parse/execution
failed [\_TZ_.C246] (Node f781c2b8), AE_AML_PACKAGE_LIMIT
Mar 14 13:22:20 sysop kernel: ACPI Error (psparse-0537): Method parse/execution
failed [\_TZ_.TZ2_._TMP] (Node f781c858), AE_AML_PACKAGE_LIMIT
Mar 14 13:22:20 sysop kernel: ACPI: Critical trip point
Mar 14 13:22:20 sysop kernel: Critical temperature reached (1024 C), shutting down.
Mar 14 13:22:20 sysop kernel: ACPI: Critical trip point
Mar 14 13:22:20 sysop kernel: Critical temperature reached (1024 C), shutting down.
Mar 14 13:22:20 sysop kernel: ACPI: Critical trip point
Mar 14 13:22:20 sysop kernel: Critical temperature reached (1024 C), shutting down.

Expected results:

Should run happy
Additional info:

HP Compaq nc6120

Comment 1 Mihai Harpau 2008-03-14 14:30:35 UTC
Created attachment 298054 [details]
dmesg for kernel-2.6.24.3-34.fc8

Comment 2 Mihai Harpau 2008-03-14 14:34:20 UTC
Created attachment 298055 [details]
lspci -vv

Comment 3 Mihai Harpau 2008-03-14 14:34:49 UTC
Created attachment 298056 [details]
lspci -nn

Comment 4 Mihai Harpau 2008-03-14 14:38:19 UTC
Created attachment 298057 [details]
lm_sensors from /etc/sysconfig

Comment 5 Mihai Harpau 2008-03-14 14:40:27 UTC
Created attachment 298058 [details]
settings for lm_sensors from rc.local

Comment 6 Mihai Harpau 2008-03-14 14:54:30 UTC
same thing with kernel-2.6.25-rc5-git-current

Comment 7 Mihai Harpau 2008-03-14 15:38:38 UTC
same thing happen also with kernel-2.6.23.15-137.fc8

Comment 8 Chuck Ebbert 2008-03-18 00:46:42 UTC
possible patch in the kernel.org bug report

Comment 9 Chuck Ebbert 2008-03-18 23:43:14 UTC
Patch went in 2.6.24.3-44

Comment 10 Jean Delvare 2008-03-21 09:45:27 UTC
I've just attached a new patch to the kernel.org bug, which should fix the problem.


Comment 11 Mihai Harpau 2008-03-22 19:27:58 UTC
Kernel 2.6.24.3-44.fc8 have the same problem.
The correct fix is the patch from
http://bugzilla.kernel.org/show_bug.cgi?id=10245#c24. Could this fix be
incorporated in one of kernels 2.6.24.y-zz.fc8 from Fedora?

Comment 12 Chuck Ebbert 2008-03-26 20:05:48 UTC
Fix is in 2.6.24.4-57

Comment 13 Mihai Harpau 2008-03-27 15:09:57 UTC
I tested kernel 2.6.24.4-58.fc8 from koji and is work very well. Bug could be
closed. Thanks.

Comment 14 Fedora Update System 2008-03-28 20:58:16 UTC
kernel-2.6.24.4-63.fc8 has been submitted as an update for Fedora 8

Comment 15 Fedora Update System 2008-03-29 18:31:35 UTC
kernel-2.6.24.4-64.fc8 has been submitted as an update for Fedora 8

Comment 16 Mihai Harpau 2008-03-30 20:17:50 UTC
kernel-2.6.24.4-64.fc8 works too

Comment 17 Fedora Update System 2008-04-01 21:37:38 UTC
kernel-2.6.24.4-64.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2008-04-09 05:14:29 UTC
kernel-2.6.24.4-64.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.